{% extends 'app_base.html.twig' %}
{% form_theme addCertificateForm 'bootstrap_5_layout.html.twig' %}

{% block title %} {{ 'cert_add.head.title'|trans }} / {{ appName }}{% endblock %}

{% block body %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ path('app_home') }}">{{ 'breadcrumb.homepage'|trans }}</a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ path('app_cert-manager') }}">{{ 'breadcrumb.certificates'|trans }}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{ 'breadcrumb.certificates.cert_add'|trans }}</li>
        </ol>
    </nav>

    <div class="mb-5">
        <h1>{{ 'cert_add.page.title'|trans }} </h1>
        {{ form_start(addCertificateForm) }}
        <fieldset class="mt-4 mb-4 ">
            <legend class="text-xl text-bg-dark px-2">
                {{ 'cert_add.form.legend.user'|trans }}
            </legend>
            {{ form_row(addCertificateForm.email)  }}
            {{ form_row(addCertificateForm.certificatePassword)  }}
        </fieldset>

        <fieldset class="mt-4 mb-4 ">
            <legend class="text-xl text-bg-dark px-2">
                {{ 'cert_add.form.legend.certificate'|trans }}
            </legend>
            {{ form_row(addCertificateForm.countryName)  }}
            {{ form_row(addCertificateForm.stateOrProvinceName)  }}
            {{ form_row(addCertificateForm.localityName)  }}
            {{ form_row(addCertificateForm.organizationName)  }}
            {{ form_row(addCertificateForm.organizationalUnitName)  }}
            {{ form_row(addCertificateForm.commonName)  }}
        </fieldset>

         <button id="addCertificate-form-button-submit" type="submit" class="btn btn-success">
             {{ 'cert_add.form.submit'|trans|raw }}
         </button>
        {{ form_end(addCertificateForm) }}
    </div>


{% endblock %}
